<template>
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-3 col-md-3 col-lg-3 ">
                <nav class="sidebar sidebar-offcanvas" id="sidebar">
                  {{ demo }}
        <ul class="nav">
          <li class="nav-item nav-profile">
           
            <a href="#" class="nav-link">
              <div class="nav-profile-image" >
                <img :src="'/images/'+admindetails.image" alt="profile">
                <span class="login-status online"></span> <!--change to offline or busy as needed-->              
              </div>
              <div class="nav-profile-text d-flex flex-column">
                    <span class="font-weight-bold mb-2">{{ admindetails.name }}</span>
                    <span class="text-secondary text-small">Event Manager</span>
              </div>
              <i class="mdi mdi-bookmark-check text-success nav-profile-badge"></i>
            </a>
        
          </li>
          <li class="nav-item">
            <a class="nav-link">
              <span class="menu-title"> <router-link to="/admincalender">Dashboard </router-link> </span>
              <i class="mdi mdi-home menu-icon"></i>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link">
              <span class="menu-title"> <router-link to="/createevent">Create event </router-link> </span>
              <i class="mdi mdi-home menu-icon"></i>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link">
              <span class="menu-title"> <router-link to="/adminprofile">Profile </router-link> </span>
              <i class="mdi mdi-home menu-icon"></i>
            </a>
          </li>
          <!-- <li class="nav-item">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic" aria-expanded="false" aria-controls="ui-basic">
              <span class="menu-title">Users</span>
              <i class="menu-arrow"></i>
              <i class="mdi mdi-crosshairs-gps menu-icon"></i>
            </a>
            <div class="collapse" id="ui-basic">
              <ul class="nav flex-column sub-menu" v-for="user in users">
                <li class="nav-item"> <a class="nav-link" href="pages/ui-features/buttons.html">{{ user.name }}</a></li>
              </ul>
            </div>
          </li> -->
          <li class="nav-item">
            <a class="nav-link">
              <span class="menu-title"><router-link to="/eventlist">Event list </router-link></span>
              <i class="mdi mdi-contacts menu-icon"></i>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link">
              <span class="menu-title"><router-link to="/allusers"> Users</router-link> </span>
              <i class="mdi mdi-format-list-bulleted menu-icon"></i>
            </a>
          </li>
          <!-- <li class="nav-item">
            <a class="nav-link" data-toggle="collapse" href="#general-pages" aria-expanded="false" aria-controls="general-pages">
              <span class="menu-title">Event List</span>
              <i class="menu-arrow"></i>
              <i class="mdi mdi-medical-bag menu-icon"></i>
            </a>
            <div class="collapse" id="general-pages">
              <ul class="nav flex-column sub-menu" v-for="event in events">
                <li class="nav-item" > 
                  <a class="nav-link" href="pages/samples/blank-page.html"> {{ event.title }} </a>
                </li>
              </ul>
              </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="pages/charts/chartjs.html">
              <span class="menu-title">Charts</span>
              <i class="mdi mdi-chart-bar menu-icon"></i>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="pages/tables/basic-table.html">
              <span class="menu-title">Tables</span>
              <i class="mdi mdi-table-large menu-icon"></i>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" data-toggle="collapse" href="#general-pages" aria-expanded="false" aria-controls="general-pages">
              <span class="menu-title">Sample Pages</span>
              <i class="menu-arrow"></i>
              <i class="mdi mdi-medical-bag menu-icon"></i>
            </a>
            <div class="collapse" id="general-pages">
              <ul class="nav flex-column sub-menu">
                <li class="nav-item"> <a class="nav-link" href="pages/samples/blank-page.html"> Blank Page </a></li>
                <li class="nav-item"> <a class="nav-link" href="pages/samples/login.html"> Login </a></li>
                <li class="nav-item"> <a class="nav-link" href="pages/samples/register.html"> Register </a></li>
                <li class="nav-item"> <a class="nav-link" href="pages/samples/error-404.html"> 404 </a></li>
                <li class="nav-item"> <a class="nav-link" href="pages/samples/error-500.html"> 500 </a></li>
              </ul>
              </div>
          </li> -->
          
        </ul>
      </nav>
            </div>
            <!-- colom for achive routing  in vue component --->
            <div class="col-sm-9 col-md-9 col-lg-9 ">
               <router-view></router-view>
            </div>
            <!-- colom for achive routing  in vue component --->
        </div>
    </div>
</template>
<script>
    export default {
        name: 'managerdashboard-component',
        data(){
            return {
              users:[],
              errors:[],
              admindetails:[],
              images:'images/',
              events:[],
              demo:'',
            }
        },
        methods: {
               getprofilephoto: function(){
                 return 'images/'+this.image;
             },
               currentupdate: function(){
               this.demo = "demo content";
        },
        reloadadmindetails: function(){
          axios.get('/admindetails')
        .then((response => this.admindetails = response.data))
        }
        },
        created(){
        this.$eventBus.$on('update',this.reloadadmindetails)
        axios.get('/justcheck')
        .then((response) => this.users = response.data)
        .catch((error) => console.log(error));
        console.log("sidebar component loaded successfully");
        axios.get('/admindetails')
        .then((response => this.admindetails = response.data))
        axios.get('/adminevent')
          .then((response)=> this.events = response.data)
        },
       
    }
</script>
<style lang="css" scoped>
     
</style>
